# PC

Abstract PETSc object that manages all preconditioners

### Synopsis

    typedef struct _p_PC* PC;

### See Also

PCCreate(), PCSetType(), PCType (for list of available types)

Level:beginner
Location: src/ksp/pc/../../../include/petscpc.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex12.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex21f.F.html